package com.eco.plugin.xx.sdllsso.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "单点登录配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.sdllsso.config", text = "单点登录配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "authUrl", name = "获取授权码接口", description = "获取授权码接口", status = Status.SHOW)
    private Conf<String> authUrl = Holders.simple("");

    @Identifier(value = "userUrl", name = "获取用户信息接口", description = "获取用户信息接口", status = Status.SHOW)
    private Conf<String> userUrl = Holders.simple("");

    @Identifier(value = "index", name = "帆软首页", description = "帆软首页", status = Status.SHOW)
    private Conf<String> index = Holders.simple("");

    public String getAuthUrl() {
        return authUrl.get();
    }

    public void setAuthUrl(String url) {
        this.authUrl.set(url);
    }

    public String getUserUrl() {
        return userUrl.get();
    }

    public void setUserUrl(String url) {
        this.userUrl.set(url);
    }

    public String getIndex() {
        return index.get();
    }

    public void setIndex(String url) {
        this.index.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
